Skip to main content
GET
/
applications
List applications
curl --request GET \
  --url https://cloud.laravel.com/api/applications \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "attributes": {
        "name": "<string>",
        "slug": "<string>",
        "slack_channel": "<string>",
        "avatar_url": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "repository": {
          "full_name": "<string>",
          "default_branch": "<string>"
        }
      },
      "relationships": {
        "repository": {
          "data": {
            "id": "<string>"
          }
        },
        "organization": {
          "data": {
            "id": "<string>"
          }
        },
        "environments": {
          "data": [
            {
              "id": "<string>"
            }
          ]
        },
        "deployments": {
          "data": [
            {
              "id": "<string>"
            }
          ]
        },
        "defaultEnvironment": {
          "data": {
            "id": "<string>"
          }
        }
      }
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  },
  "included": [
    {
      "id": "<string>",
      "attributes": {
        "name": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Bearer Token generated on the Cloud UI.

Query Parameters

filter[name]
string
filter[region]
string
filter[slug]
string
include
enum<string>[]
Available options:
organization,
environments,
defaultEnvironment

Response

Paginated set of ApplicationResource

data
ApplicationResource · object[]
required
meta
object
required
included
(RepositoryResource · object | OrganizationResource · object | EnvironmentResource · object | DeploymentResource · object)[]